Subject: Re: JMP> PMP> Mandatory objects, Printer MIB relationship an

From: Harry Lewis <[email-masked]>
Date: Wed, 7 May 1997 19:22:48 -0400

Jay asked...

  >"Does the Job Monitoring MIB require an agent to simultaneously
  > support the Printer MIB, and if so, what exactly is the binding?"

The answer should be NO. Tom has been pretty thorough in covering this
(Tom, can you provide the list Jay has requested?) The way he's handled
it is to add "redundant" attributes to cover both bases. So, if an
attribute is something like prtOutputBinIndex that works for a printer,
Tom will add a "sister attribute" (my term) like OutputBinName... to be
used by the server. It is undefined how the Server determines this
information.

I commend Tom on his efforts to preserve both scenarios. But, this does
add to the number of attributes. This is one reason I tried to come up
with a state table which indexes readily into a "most useful" set. Tom
would argue you should just use the Attribute table.

I think we should really make it a point to RESOLVE this issue in San Diego
so we can move on!